<?php


namespace App\Models;

class PropertyWebMenuMapping extends BaseModel
{

    protected $table = 'property_web_menu_mapping';
    protected $appends = [];

    const CREATED_AT = 'created_at';
    const UPDATED_AT = 'updated_at';

    protected $dateFormat = 'U';
    protected $guarded = [];

    protected $hidden = [];

    public function propertyWebMenu()
    {
        return $this->hasOne('App\Models\PropertyWebMenu','id', 'property_web_menu_id')
            ->select("id", "parent_id", "name", "language_key", "alias", "route", "type", "order_number", "icon", "status");
    }
}
